"use strict";
appCore.controller("HeroListBySkillCtrl", ["$state", "$scope", "$http", "$timeout", "vServices", "$uibModal", "$document", function ($state, $scope, $http, $timeout, vServices, $uibModal, $document) {

    $scope.$root.page.title = "Heroes List By Skill Report";
    $scope.params = $state.params;    
    // $scope.reportList = [];

    
    const init = () => {
        vServices.callApi("employee/getHeroBySkillId?id="+$scope.params.id, "GET", {}).then((res) => {
            if(res){
                console.log(res);
            //   let abc=  JSON.parse(JSON.stringify(res));
                $scope.reportList = res.result;
                $scope.title = res.skl_name.skl_name;
            }
            $scope.$root.callDataTable(".dataList123", 500, (t) => {
                $scope.dTable = t;
            }, {orientation: "landscape"});
        });
    };
    init();
    
}]);
